export declare function getURLComponents({ hash, pathname, search }: Pick<Location, "hash" | "pathname" | "search">): Readonly<{
    pathname: string;
    query: URLQueryArrayMap;
}>;
/** This should take care of both hash and normal URLs. */
export declare function getURLQuery(location: Pick<Location, "hash" | "pathname" | "search">): URLQueryArrayMap;
export declare function toArray<T>(value: T | readonly T[]): readonly T[];
export declare function replaceURLQuery(historyWithCallbacks: Window["historyWithCallbacks"], { hash }: Pick<Location | import("history").Location, "hash">, query: URLQueryMap): void;
export declare function appendURLQuery(historyWithCallbacks: Window["historyWithCallbacks"], location: Pick<Location, "hash" | "pathname" | "search">, urlQuery: URLQueryMap): void;
//# sourceMappingURL=utils.d.ts.map